/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and Others
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Tatsuya ISHIHARA - initial API and implementation
 *******************************************************************************/
package org.eclipse.actf.model.dom.odf.chart;

/**
 * ChartConstants defines the constant values used by chart namespace of ODF DOM API
 */
@SuppressWarnings("nls")
public final class ChartConstants {
	static public final String CHART_NAMESPACE_URI = "urn:oasis:names:tc:opendocument:xmlns:chart:1.0";

	static public final String ELEMENT_CHART = "chart";

	static public final String ELEMENT_TITLE = "title";

	static public final String ELEMENT_LEGEND = "legend";

	static public final String ELEMENT_PLOT_AREA = "plot-area";

	static public final String ELEMENT_AXIS = "axis";

	static public final String ELEMENT_CATEGORIES = "categories";

	static public final String ELEMENT_GRID = "grid";

	static public final String ELEMENT_SERIES = "series";

	static public final String ELEMENT_DATA_POINT = "data-point";

	static public final String ELEMENT_STOCK_GAIN_MARKER = "stock-gain-marker";

	static public final String ELEMENT_STOCK_LOSS_MARKER = "stock-loss-marker";

	static public final String ELEMENT_STOCK_RANGE_LINE = "stock-range-line";

	static public final String ELEMENT_WALL = "wall";

	static public final String ELEMENT_FLOOR = "floor";

	static public final String ATTR_DIMENSION = "dimension";

	static public final String ATTR_NAME = "name";

	static public final String ATTR_CLASS = "class";

	static public final String ATTR_REPEATED = "repeated";

	static public final String ATTR_LEGEND_POSITION = "legend-position";

	static public final String ATTR_DATA_SOURCE_HAS_LABELS = "data-source-has-labels";

	static public final String ATTR_TABLE_NUMBER_LIST = "table-number-list";

	static public final String ATTR_STYLE_NAME = "style-name";

	static public final String ATTR_JAPANESE_CANDLE_STICK = "japanese-candle-stick";

	static public final String ATTR_STOCK_WITH_VOLUME = "stock-with-volume";

	static public final String ATTR_THREE_DIMENSIONAL = "three-dimensional";

	static public final String ATTR_DEEP = "deep";

	static public final String ATTR_LINES = "lines";

	static public final String ATTR_INTERPOLATION = "interpolation";

	static public final String ATTR_SYMBOL_TYPE = "symbol-type";

	static public final String ATTR_VERTICAL = "vertical";

	static public final String ATTR_LINES_USED = "lines-used";

	static public final String ATTR_CONNECT_BARS = "connect-bars";

	static public final String ATTR_SERIES_SOURCE = "series-source";

	static public final String ATTR_MEAN_VALUE = "mean-value";

	static public final String ATTR_ERROR_MARGIN = "error-margin";

	static public final String ATTR_ERROR_LOWER_LIMIT = "error-lower-limit";

	static public final String ATTR_ERROR_UPPER_LIMIT = "error-upper-limit";

	static public final String ATTR_ERROR_CATEGORY = "error-category";

	static public final String ATTR_ERROR_PERCENTAGE = "error-percentage";

	static public final String ATTR_REGRESSION_TYPE = "regression-type";

	static public final String ATTR_DATA_LABEL_NUMBER = "data-label-number";

	static public final String ATTR_DATA_LABEL_TEXT = "data-label-text";

	static public final String ATTR_DATA_LABEL_SYMBOL = "data-label-symbol";

	static public final String ATTR_DISPLAY_LABEL = "display-label";

	static public final String ATTR_TICK_MARKS_MAJOR_INNER = "tick-marks-major-inner";

	static public final String ATTR_TICK_MARKS_MAJOR_OUTER = "tick-marks-major-outer";

	static public final String ATTR_LOGARITHMIC = "logarithmic";

	static public final String ATTR_TEXT_OVERLAP = "text-overlap";

	static public final String ATTR_LABEL_ARRANGEMENT = "label-arrangement";

	static public final String ATTR_VISIBLE = "visible";

	static public final String ATTR_ORIGIN = "origin";

	static public final String ATTR_GAP_WIDTH = "gap-width";

	static public final String ATTR_OVERLAP = "overlap";

	static public final String ATTR_SOLID_TYPE = "solid-type";

	static public final String ATTR_ATTACHED_AXIS = "attached-axis";

	static public final String ATTR_MINIMUM = "minimum";

	static public final String ATTR_MAXIMUM = "maximum";
}